Đến nội dung


Hình ảnh
- - - - -

Lưu thông số giữa các lần dùng lệnh


  • Please log in to reply
27 replies to this topic

#21 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 30 August 2007 - 05:28 PM

1) Tất nhiên là chưa được vì khi chạy vẫn lỗi. Toàn bộ thông báo test trên máy mình như sau:

Command: ba
BALLOON(BA) of Pham Xuan Hung write for ST ENGINEERING
Input name of this plate <>:ab1

Input thick of this plate :12

Point to part :
Next point:
Place number : leader
Specify leader start point:
Specify next point:
Specify next point or [Annotation/Format/Undo] :
Specify next point or [Annotation/Format/Undo] :
Enter first line of annotation text or : Enter an annotation option
[Tolerance/Copy/Block/None/Mtext] : n
Command: circle Specify center point for circle or [3P/2P/Ttr (tan tan radius)]:
Specify radius of circle or [Diameter]: 2.708325000000000
Command: text
Current text style: "Standard" Text height: 2.5000
Specify start point of text or [Justify/Style]: j Enter an option
[Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: c
Specify center point of text:
Specify height <2.5000>: 2.500000000000000
Specify rotation angle of text <0>: 0
Enter text: ab1
Command: scale
Select objects: 1 found

Select objects:
Specify base point:
Specify scale factor or [Reference]: 1
Command:
Point of thick plate text:; error: AutoCAD variable setting rejected: "CLAYER"
"2"

Chưa cần biết error tại cái gì, nhưng không thể gọi là chương trình hoàn chỉnh!

2) /= có nghĩa là "khác" hoặc "không bằng"
  • 0

#22 hungpx2008

hungpx2008

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 30 August 2007 - 06:03 PM

1) Tất nhiên là chưa được vì khi chạy vẫn lỗi. Toàn bộ thông báo test trên máy mình như sau:

Command: ba
BALLOON(BA) of Pham Xuan Hung write for ST ENGINEERING
Input name of this plate <>:ab1

Input thick of this plate <PL...>:12

Point to part <exit>:
Next point:
Place number : leader
Specify leader start point:
Specify next point:
Specify next point or [Annotation/Format/Undo] <Annotation>:
Specify next point or [Annotation/Format/Undo] <Annotation>:
Enter first line of annotation text or <options>: Enter an annotation option
[Tolerance/Copy/Block/None/Mtext] <Mtext>: n
Command: circle Specify center point for circle or [3P/2P/Ttr (tan tan radius)]:
Specify radius of circle or [Diameter]: 2.708325000000000
Command: text
Current text style: "Standard" Text height: 2.5000
Specify start point of text or [Justify/Style]: j Enter an option
[Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: c
Specify center point of text:
Specify height <2.5000>: 2.500000000000000
Specify rotation angle of text <0>: 0
Enter text: ab1
Command: scale
Select objects: 1 found

Select objects:
Specify base point:
Specify scale factor or [Reference]: 1
Command:
Point of thick plate text:; error: AutoCAD variable setting rejected: "CLAYER"
"2"

Chưa cần biết error tại cái gì, nhưng không thể gọi là chương trình hoàn chỉnh!

2) /= có nghĩa là "khác" hoặc "không bằng"

ÚI GIÙI EM VIẾT CHO CTY MÀ PÁC LẤY PÁC CHẠY TRÊN AUTOCAD THƯÒNG SAO NÓ HỈU CLAYER 2 LÀ J KAKA. TRÊN CÔNG TY CCÓ LỆNH TẠO LAYER KHI CHỌN ĐỐI TƯọNG CHỈ CẦN NHẤN 1,2,3,4 LÀ RA CÁI LAYER ĐÓ BÁC ÀH. THANK PÁC NHÉ
  • 0

#23 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 31 August 2007 - 07:52 AM

ÚI GIÙI EM VIẾT CHO CTY MÀ PÁC LẤY PÁC CHẠY TRÊN AUTOCAD THƯÒNG SAO NÓ HỈU CLAYER 2 LÀ J KAKA. TRÊN CÔNG TY CCÓ LỆNH TẠO LAYER KHI CHỌN ĐỐI TƯọNG CHỈ CẦN NHẤN 1,2,3,4 LÀ RA CÁI LAYER ĐÓ BÁC ÀH. THANK PÁC NHÉ

Với vai trò tester, mình không cần biết đến điều đó. Điều kiện trước tiên khi test là chương trình phải chạy được trong mọi tình huống, sau đó mới xem xét đến cái hay cái dở.
Nếu bạn cảm thấy hài lòng thì thôi, mình không có ý kiến nữa.
  • 0

#24 hungpx2008

hungpx2008

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 31 August 2007 - 08:56 AM

Với vai trò tester, mình không cần biết đến điều đó. Điều kiện trước tiên khi test là chương trình phải chạy được trong mọi tình huống, sau đó mới xem xét đến cái hay cái dở.
Nếu bạn cảm thấy hài lòng thì thôi, mình không có ý kiến nữa.

Bác là pro tester chứ đâu có phải là user mấy cái này dễ hiểu đối với pác mừ. Bác xoá cho em mấy dòng (Setvar "Clayer" "number") trong code là nó thành tổng wát ah.
  • 0

#25 bktec84

bktec84

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 30 September 2010 - 10:06 PM

Bạn xem đoạn code dưới đây, những phần tô màu đỏ là những đoạn mã lưu thông số giữa các lần sử dụng lệnh. Mỗi khi dùng lệnh, chương trình sẽ yêu cầu người sử dụng nhập vào giá trị của biến tyledong. Nếu nhấn enter, giá trị mặc định sẽ được chọn (giữ nguyên giá trị cũ). Bạn chạy thử chương trình rồi rút kinh nghiệm cho trường hợp cụ thể của mình. Cách sử dụng đoạn mã dưới đây bạn đọc thêm ở: http://www.cadviet.com/forum/index.php?sho...mp;st=260&#

Em không dành về lisp lắm lên ko hiểu và sửa được mong các bác sửa hộ em lisp sau với tỷ lệ nhập lưu lại từ lần nhập trước.

(defun c:maaa()
(setvar "cmdecho" 0)
(setq p1 nil p2 nil gmd nil)
(command "style" "Dientich" "Vntime.shx,vn1.shx" 0 "0.8" 0.0 "" "" "")
(command "layer" "make" "Text" "c" "3" "" "")
(setq p1 (getpoint"\Diem dau cua mai doc: "))
(setq p2 (getpoint"\Diem thu 2 cua mai doc: "))
(setvar "OSMODE" 0)
(setq gmd (angle p1 p2))
(setq sm (sin gmd))
(setq cm (cos gmd))
(setq hsm (abs (/ cm sm)))
(initget 1 "Yes No")
(if (= "Yes" (getkword "\nCo ghi mai doc khong? : "))
(progn
(setq tl (getreal"\nNhap ty le <1>: "))
(if tl null (setq tl 1))
(setq diem (list (- (car p1) (* 2 tl sm)) (+ (cadr p1) (* 2 tl cm))))
(setq ch (* 2 tl))
(setq nghieng (* gmd 57.29577951))
(cond
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "")
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "")
)
)
)
(progn
(cond
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
)
)
)
(command "-osnap" "end,mid,nod,int,per,app,nea")
(command "ucs" "w" "")
(command "-layer" "s" "0" "")
)

  • 0

#26 yeuban2012

yeuban2012

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2010 - 10:18 PM

các anh chỉ giúp em cách vẽ hình chiếu trục đo trên auto Cad 2007 với.Cho 3 hình chiếu....vẽ trên 2D rồi chiếu sang 3D...khó quá.Em sắp thi rồi mà không làm được
  • 0

#27 yeuban2012

yeuban2012

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2010 - 10:21 PM

mợi người chỉ giúp em qui trình vẽ hình chiếu trục đo trên auto cad 3D với
  • 0

#28 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 30 September 2010 - 11:38 PM

Em không dành về lisp lắm lên ko hiểu và sửa được mong các bác sửa hộ em lisp sau với tỷ lệ nhập lưu lại từ lần nhập trước.

Của bạn đây

;; free lisp from cadviet.com
(defun c:maaa()
(setvar "cmdecho" 0)
(setq p1 nil p2 nil gmd nil)
(command "style" "Dientich" "Vntime.shx,vn1.shx" 0 "0.8" 0.0 "" "" "")
(command "layer" "make" "Text" "c" "3" "" "")
(setq p1 (getpoint"\Diem dau cua mai doc: "))
(setq p2 (getpoint"\Diem thu 2 cua mai doc: "))
(setvar "OSMODE" 0)
(setq gmd (angle p1 p2))
(setq sm (sin gmd))
(setq cm (cos gmd))
(setq hsm (abs (/ cm sm)))
(initget 1 "Yes No")
(if (= "Yes" (getkword "\nCo ghi mai doc khong? : "))
(progn
(setq tl (cond (tl) (1)))
(setq oldtl tl)
(setq tl (getreal (strcat "\nNhap ty le <"(rtos oldtl 2 1)">: ")))
(if (null tl) (setq tl oldtl))
(setq diem (list (- (car p1) (* 2 tl sm)) (+ (cadr p1) (* 2 tl cm))))
(setq ch (* 2 tl))
(setq nghieng (* gmd 57.29577951))
(cond
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "")
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "")
)
)
)
(progn
(cond
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
)
)
)
(command "-osnap" "end,mid,nod,int,per,app,nea")
(command "ucs" "w" "")
(command "-layer" "s" "0" "")
)

  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!